#include <iostream>                 ,
using namespace std;
long int zbir(long int n,long int k){
long int i,s=0;
    for(i=1;i<=n/k;i++)
    s+=i;

return s;
}

int main()
{
    long int t,n,k,m,i,l;
    cin>>t;
    for(i=0;i<t;i++){
      cin>>n>>m>>k;
      l=zbir(n,k);
      if(l*k+n%k*(n/k+1)>m)
                 cout<<"Nie"<<"\n";
                 else cout<<"Tak"<<"\n";
    }        
         
    return 0;  
}